You are not logged in.

#101 2008-11-16 17:12:27

yagood
Member
From: Warsaw, Poland
Registered: 2007-09-25
Posts: 8
Website

Re: Testers needed for new TeXLive packages!

It didn't help. I also reinstalled the whole texlive package but I still have my problem and also get the following ones when invoking fmtutil:

This is a summary of all `failed' messages and warnings:
`pdftex -ini  -jobname=etex -progname=etex -translate-file=cp227.tcx *etex.ini' failed
`pdftex -ini  -jobname=pdfetex -progname=pdfetex -translate-file=cp227.tcx *pdfetex.ini' failed
`pdftex -ini  -jobname=pdftex -progname=pdftex -translate-file=cp227.tcx *pdfetex.ini' failed
`xetex -ini  -jobname=xetex -progname=xetex -etex xetex.ini' failed

I tried the solution posted in http://bbs.archlinux.org/viewtopic.php? … 17#p420517 but it didn't work.

Last edited by yagood (2008-11-16 17:14:34)

Offline

#102 2008-11-28 03:26:09

griever
Member
Registered: 2008-07-07
Posts: 3

Re: Testers needed for new TeXLive packages!

Found the solution here: http://n2.nabble.com/tex-capacity-error … 54152.html

Basically:
- open up /usr/share/texmf/web2c/texmf.cnf
- Find the line:

trie_size = 600000

and change it to

trie_size = 700000

- Save and close
- Run:

fmtutil-sys --byfmt pdftex

Offline

#103 2009-10-05 16:32:03

bt
Member
Registered: 2007-04-11
Posts: 193

Re: Testers needed for new TeXLive packages!

I use pspicture and pst-barcode to print barcodes on various envelope sizes. After the last upgrade, I now get this error message:

** WARNING ** Filtering file via command -->rungs -q -dNOPAUSE -dBATCH
-sPAPERSIZE=a0 -sDEVICE=pdfwrite -dCompatibilityLevel=1.4
-dAutoFilterGrayImages=false -dGrayImageFilter=/FlateEncode
-dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode
-sOutputFile=/tmp/dvipdfmx.XXkVM5AB /tmp/dvipdfmx.XXiIJ83s -c quit<--
failed.
** WARNING ** Image format conversion for PSTricks failed.
** WARNING ** Interpreting special command pst: (ps:) failed.
** WARNING ** >> at page="1" position="(434.526, 462.875)" (in PDF)
** WARNING ** >> xxx "pst:  tx@Dict begin STP newpath 0.8 SLW 0  setgray   
gsave 0.

It was working perfectly before the upgrade. The log file shows no errors.

It seems that xetex-pstricks and xelatex-pstricks are no longer recognized

Last edited by bt (2009-10-06 03:02:42)

Offline

#104 2009-10-08 02:09:58

OrangeRoot1000
Member
From: TN -- USA
Registered: 2008-08-07
Posts: 106
Website

Re: Testers needed for new TeXLive packages!

I just sooo love Tex!!!

In the past week or so I have the errors that are on preceding pages abbout the pdftex or such. Nuts and bolts poppler needed to be downgraded. That fixed the issue. Now texlive-bin had an update today is poppler and friends off hold now or?

Offline

#105 2009-10-08 03:47:12

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,932

Re: Testers needed for new TeXLive packages!

OrangeRoot1000 wrote:

I just sooo love Tex!!!

In the past week or so I have the errors that are on preceding pages abbout the pdftex or such. Nuts and bolts poppler needed to be downgraded. That fixed the issue. Now texlive-bin had an update today is poppler and friends off hold now or?

Today's upgrade does not fix the poppler incompatibility. And, there is no good way to fix texlive-bin in the main repos, testing or not, until Gnome makes it there.

Offline

#106 2009-10-09 08:34:17

OrangeRoot1000
Member
From: TN -- USA
Registered: 2008-08-07
Posts: 106
Website

Re: Testers needed for new TeXLive packages!

@skottish

Thank you. JGC is cranking out Gnome as fast as possible I know because I'm on 2.28 myself. There are just ssssoooo many major changes I know it must drive you all buggies sometimes. Thanks for the great work.

Offline

#107 2009-10-10 03:24:08

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,932

Re: Testers needed for new TeXLive packages!

OrangeRoot1000 wrote:

@skottish

Thank you. JGC is cranking out Gnome as fast as possible I know because I'm on 2.28 myself. There are just ssssoooo many major changes I know it must drive you all buggies sometimes. Thanks for the great work.

Like you OrangeRoot1000, I'm grateful for the work that JGC does for this community. It's a lot for one person.

Offline

#108 2009-10-11 19:48:55

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,932

Re: Testers needed for new TeXLive packages!

Bump.

texlive-bin and poppler 0.12 is fixed in the [gnome-unstable] repo now. A very big thank you to all that made this happen.

Offline

#109 2009-10-11 21:19:52

OrangeRoot1000
Member
From: TN -- USA
Registered: 2008-08-07
Posts: 106
Website

Re: Testers needed for new TeXLive packages!

No errors on the texlive or poppler/glib packages when I updated today.

Offline

#110 2009-10-11 22:21:42

bt
Member
Registered: 2007-04-11
Posts: 193

Re: Testers needed for new TeXLive packages!

many thanks for the upgrade. Everything works again.

Offline

#111 2009-11-06 14:26:46

zhidayat
Member
Registered: 2009-10-24
Posts: 3

Re: Testers needed for new TeXLive packages!

Hi,

I want to update tex-live on my archlinux. I ran texlive manager, tlmgr.pl but I got error message as below:

Can't locate TeXLive/TLConfig.pm in @INC (@INC contains: /../../texmf/scripts/texlive /../../tlpkg /usr/lib/perl5/site_perl/5.10.1 /usr/share/perl5/site_perl/5.10.1 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl /usr/lib/perl5/current /usr/lib/perl5/site_perl/current .) at tlmgr.pl line 79.
BEGIN failed--compilation aborted at tlmgr.pl line 79.

Hopefully somebody here can help me how to resolve the problem. Thank
you very much.

Regards,
-Zul-

Offline

#112 2009-11-06 15:03:20

bender02
Member
From: Germany
Registered: 2007-02-04
Posts: 1,328

Re: Testers needed for new TeXLive packages!

I thought that you're not supposed to use tlmgr with the standard pacman's arch's texlive packages. If you successfully update via tlmgr, it would mess up pacman's texlive packages.
So, if you installed texlive manually (not via pacman), then it's a valid question... but it's not the "arch supported way" smile
If you didn't install manually, then either wait for the updates via pacman, or have a look at http://aur.archlinux.org/packages.php?ID=23776

Offline

#113 2009-11-06 15:14:57

zhidayat
Member
Registered: 2009-10-24
Posts: 3

Re: Testers needed for new TeXLive packages!

Ah, thanks a lot for your information smile

Offline

#114 2010-01-11 17:12:02

bt
Member
Registered: 2007-04-11
Posts: 193

Re: Testers needed for new TeXLive packages!

I got involved in typesetting a 216 page book using xelatex, and found that the editors I was using (kile, geany) were good, but not adequate for such a job.
I switched to emacs with auctex, and following the few instructions available tried to configure ~/.emacs to run xelatex directly on emacs. Everything looks OK, but xelatex will not run from emacs, although the file runs perfectly if I run
"xelatex file.tex" from the command line. Herewith the ~/.emacs file:

(load "auctex.el" nil t t)
(load "preview-latex.el" nil t t)

(setenv "PATH" (concat (getenv "PATH") ":/usr/bin/tex"))
(setq exec-path (append exec-path '("/usr/bin/tex")))

(setq TeX-auto-save t)
(setq TeX-parse-self t)
(setq-default TeX-master t)

        ;;set xetex mode in tex/latex
        (add-hook 'LaTeX-mode-hook (lambda()
        (add-to-list 'TeX-command-list '("XeLaTeX" "%`xelatex%(mode)%'
%t" TeX-run-TeX nil t))
        (setq TeX-command-default "XeLaTeX")
        (setq TeX-save-query nil)
        (setq TeX-show-compilation t)
        ))

Any comments or corrections would be appreciated.

I made an error in the ~/.emacs file:
where it reads (add-to-list TeX-command-list xx) I used a forward quote "%(`)xelatex% etc
It should be a standard apostraphe (') thus:
       (add-to-list 'TeX-command-list '("XeLaTeX" "%'xelatex%(mode)%'
%t" TeX-run-TeX nil t))

The problem now is that it shows xelatex as running, but it produces no output. But there are no error messages.  xelatex runs in a separate terminal without error.

A small change in the ~/.emacs file solved the problem. Herewith the edited file:

 (load "auctex.el" nil t t)
(load "preview-latex.el" nil t t)

(setenv "PATH" (concat (getenv "PATH") ":/usr/bin/tex"))
(setq exec-path (append exec-path '("/usr/bin/tex")))

(setq TeX-auto-save t)
(setq TeX-parse-self t)
(setq-default TeX-master t)

        ;;AUCTex
        (add-hook 'LaTeX-mode-hook (lambda()
        (add-to-list 'TeX-command-list '("XeLaTeX" "%'xelatex%(mode)%' %t" 
TeX-run-TeX  nil t))
        (setq TeX-command-default "XeLaTeX")
        (setq TeX-save-query nil)
        (setq TeX-show-compilation t)
        (setq-default ispell-program-name "aspell")
        (setq-default transient-mark-mode t)
        ))

Last edited by bt (2010-01-17 17:45:00)

Offline

Board footer

Powered by FluxBB